{
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

  outputs = { self, nixpkgs }@attrs: {
    # replace 'joes-desktop' with your hostname here.
    nixosConfigurations.nixos = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = attrs;
      modules = [ 
        ./configuration.nix 
        ./audiobooks.nix 
        ./tunnel.nix
        ./forgejo.nix 
        ./nextcloud.nix 
        ./jellyfin.nix 
        ./filebrowser.nix
        ./tail.nix
        # ./matrix.nix
        # ./coturn.nix
      ];

    };
  };
}
